Bug 262902

Summary: amarok crash afer album cover chosen [@ CoverFoundItem::setBigPix]
Product: [Applications] amarok Reporter: Marcin Gryszkalis <mg>
Component: Tools/Cover ManagerAssignee: Amarok Developers <amarok-bugs-dist>
Status: RESOLVED FIXED    
Severity: crash CC: admin, c.placzek, cajunham, hessijames, juergen.grove, malarkannan.p, salamandir, stuffcorpse
Priority: NOR    
Version: 2.4-GIT   
Target Milestone: 2.4.1   
Platform: Compiled Sources   
OS: Linux   
Latest Commit: Version Fixed In: 2.4.1
Attachments: New crash information added by DrKonqi
New crash information added by DrKonqi

Description Marcin Gryszkalis 2011-01-11 22:54:02 UTC
Application: amarok (2.4-GIT)
KDE Platform Version: 4.5.4 (KDE 4.5.4) (Compiled from sources)
Qt Version: 4.7.1
Operating System: Linux 2.6.35-gentoo-r12-ines i686
Distribution (Platform): Gentoo Packages

-- Information about the crash:
- right click on empty album cover
 - window with covers opens
 - double click on one of images
 - crash

The crash can be reproduced every time.

-- Backtrace:
Application: Amarok (amarok), signal: Segmentation fault
[Current thread is 1 (Thread 0xb05bd720 (LWP 9619))]

Thread 12 (Thread 0xadcb7b70 (LWP 9625)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb57307e4 in pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_timedwait.S:236
#2  0xb5aae634 in __pthread_cond_timedwait (cond=0x92678c0, mutex=0x92678a8, abstime=0xadcb7310) at forward.c:152
#3  0xade7ee53 in metronom_sync_loop (this=0x9267860) at metronom.c:870
#4  0xb572bce3 in start_thread (arg=0xadcb7b70) at pthread_create.c:301
#5  0xb5aa153e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133

Thread 11 (Thread 0xad4b6b70 (LWP 9626)):
#0  0xb572e36b in __pthread_mutex_lock (mutex=0x9207844) at pthread_mutex_lock.c:61
#1  0xb5aae7a6 in pthread_mutex_lock (mutex=0x9207844) at forward.c:182
#2  0xb3d0168d in g_main_context_prepare (context=<value optimized out>, priority=0xad4b611c) at gmain.c:2471
#3  0xb3d02429 in g_main_context_iterate (context=0x9207840, block=1, dispatch=1, self=<value optimized out>) at gmain.c:2760
#4  0xb3d02a90 in g_main_context_iteration (context=0x9207840, may_block=1) at gmain.c:2843
#5  0xb5da1d8a in QEventDispatcherGlib::processEvents (this=0x91e90f0, flags=...) at kernel/qeventdispatcher_glib.cpp:417
#6  0xb5d76b1b in QEventLoop::processEvents (this=0xad4b6270, flags=...) at kernel/qeventloop.cpp:149
#7  0xb5d76d92 in QEventLoop::exec (this=0xad4b6270, flags=...) at kernel/qeventloop.cpp:201
#8  0xb5c8d956 in QThread::exec (this=0x91f4728) at thread/qthread.cpp:490
#9  0xadec9599 in Phonon::Xine::XineThread::run (this=0x91f4728) at /usr/src/debug/media-sound/phonon-4.4.3/phonon-4.4.3/xine/xinethread.cpp:143
#10 0xb5c9004c in QThreadPrivate::start (arg=0x91f4728) at thread/qthread_unix.cpp:285
#11 0xb572bce3 in start_thread (arg=0xad4b6b70) at pthread_create.c:301
#12 0xb5aa153e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133

Thread 10 (Thread 0xaccabb70 (LWP 9629)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb5a9170b in read () at ../sysdeps/unix/syscall-template.S:82
#2  0xae1ee602 in read (handle=0x9289ec0, event=0xaccab184) at /usr/include/bits/unistd.h:45
#3  snd_ctl_hw_read (handle=0x9289ec0, event=0xaccab184) at control_hw.c:324
#4  0xae1eb7ea in snd_ctl_read (ctl=0xfffffff7, event=0x48) at control.c:665
#5  0xae1e7f57 in snd_hctl_handle_events (hctl=0x926d0a0) at hcontrol.c:789
#6  0xae1f2f72 in snd_mixer_handle_events (mixer=0x92778f8) at mixer.c:847
#7  0xaccb002f in ao_alsa_handle_event_thread (data=0x926a390) at audio_alsa_out.c:175
#8  0xb572bce3 in start_thread (arg=0xaccabb70) at pthread_create.c:301
#9  0xb5aa153e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133

Thread 9 (Thread 0xac4aab70 (LWP 9630)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb573043c in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S:169
#2  0xb5aae5dd in __pthread_cond_wait (cond=0x92acf40, mutex=0x92acf28) at forward.c:139
#3  0xade8d7cd in fifo_peek_int (fifo=<value optimized out>, blocking=<value optimized out>) at audio_out.c:348
#4  0xade8f338 in fifo_peek (this_gen=0x928a108) at audio_out.c:388
#5  ao_loop (this_gen=0x928a108) at audio_out.c:1015
#6  0xb572bce3 in start_thread (arg=0xac4aab70) at pthread_create.c:301
#7  0xb5aa153e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133

Thread 8 (Thread 0xabca1b70 (LWP 9631)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb573043c in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S:169
#2  0xb5aae5dd in __pthread_cond_wait (cond=0x940db50, mutex=0x940db38) at forward.c:139
#3  0xade8d7cd in fifo_peek_int (fifo=<value optimized out>, blocking=<value optimized out>) at audio_out.c:348
#4  0xade8f338 in fifo_peek (this_gen=0x93efa18) at audio_out.c:388
#5  ao_loop (this_gen=0x93efa18) at audio_out.c:1015
#6  0xb572bce3 in start_thread (arg=0xabca1b70) at pthread_create.c:301
#7  0xb5aa153e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133

Thread 7 (Thread 0xab2ffb70 (LWP 9632)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb573043c in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S:169
#2  0xb5aae5dd in __pthread_cond_wait (cond=0x9553988, mutex=0x9553970) at forward.c:139
#3  0xade8d7cd in fifo_peek_int (fifo=<value optimized out>, blocking=<value optimized out>) at audio_out.c:348
#4  0xade8f338 in fifo_peek (this_gen=0x9139d60) at audio_out.c:388
#5  ao_loop (this_gen=0x9139d60) at audio_out.c:1015
#6  0xb572bce3 in start_thread (arg=0xab2ffb70) at pthread_create.c:301
#7  0xb5aa153e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133

Thread 6 (Thread 0xa89f7b70 (LWP 9639)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb573043c in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S:169
#2  0xb5aae5dd in __pthread_cond_wait (cond=0x99cd830, mutex=0x99cd818) at forward.c:139
#3  0xb5c90718 in wait (this=0x99cd788, mutex=0x99c8f70, time=4294967295) at thread/qwaitcondition_unix.cpp:88
#4  QWaitCondition::wait (this=0x99cd788, mutex=0x99c8f70, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#5  0xb53fe1f3 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x99cd770, th=0x99a4c00) at /usr/src/debug/kde-base/kdelibs-4.5.4/kdelibs-4.5.4/threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb54014ad in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x99c91f0, th=0x99a4c00) at /usr/src/debug/kde-base/kdelibs-4.5.4/kdelibs-4.5.4/threadweaver/Weaver/WorkingHardState.cpp:80
#7  0xb53fd7e3 in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x99cd770, th=0x99a4c00) at /usr/src/debug/kde-base/kdelibs-4.5.4/kdelibs-4.5.4/threadweaver/Weaver/WeaverImpl.cpp:356
#8  0xb5401594 in ThreadWeaver::WorkingHardState::applyForWork (this=0x99c91f0, th=0x99a4c00) at /usr/src/debug/kde-base/kdelibs-4.5.4/kdelibs-4.5.4/threadweaver/Weaver/WorkingHardState.cpp:71
#9  0xb53fe657 in ThreadWeaver::WeaverImpl::applyForWork (this=0x99cd770, th=0x99a4c00, previous=0x0) at /usr/src/debug/kde-base/kdelibs-4.5.4/kdelibs-4.5.4/threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb54015b3 in ThreadWeaver::WorkingHardState::applyForWork (this=0x99c91f0, th=0x99a4c00) at /usr/src/debug/kde-base/kdelibs-4.5.4/kdelibs-4.5.4/threadweaver/Weaver/WorkingHardState.cpp:74
#11 0xb53fe657 in ThreadWeaver::WeaverImpl::applyForWork (this=0x99cd770, th=0x99a4c00, previous=0x0) at /usr/src/debug/kde-base/kdelibs-4.5.4/kdelibs-4.5.4/threadweaver/Weaver/WeaverImpl.cpp:351
#12 0xb54015b3 in ThreadWeaver::WorkingHardState::applyForWork (this=0x99c91f0, th=0x99a4c00) at /usr/src/debug/kde-base/kdelibs-4.5.4/kdelibs-4.5.4/threadweaver/Weaver/WorkingHardState.cpp:74
#13 0xb53fe657 in ThreadWeaver::WeaverImpl::applyForWork (this=0x99cd770, th=0x99a4c00, previous=0xab3203e0) at /usr/src/debug/kde-base/kdelibs-4.5.4/kdelibs-4.5.4/threadweaver/Weaver/WeaverImpl.cpp:351
#14 0xb53ff9b7 in ThreadWeaver::ThreadRunHelper::run (this=0xa89f72e4, parent=0x99cd770, th=0x99a4c00) at /usr/src/debug/kde-base/kdelibs-4.5.4/kdelibs-4.5.4/threadweaver/Weaver/Thread.cpp:87
#15 0xb53ffff0 in ThreadWeaver::Thread::run (this=0x99a4c00) at /usr/src/debug/kde-base/kdelibs-4.5.4/kdelibs-4.5.4/threadweaver/Weaver/Thread.cpp:142
#16 0xb5c9004c in QThreadPrivate::start (arg=0x99a4c00) at thread/qthread_unix.cpp:285
#17 0xb572bce3 in start_thread (arg=0xa89f7b70) at pthread_create.c:301
#18 0xb5aa153e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133

Thread 5 (Thread 0xa81f6b70 (LWP 9640)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb573043c in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S:169
#2  0xb5aae5dd in __pthread_cond_wait (cond=0x99cd830, mutex=0x99cd818) at forward.c:139
#3  0xb5c90718 in wait (this=0x99cd788, mutex=0x99c8f70, time=4294967295) at thread/qwaitcondition_unix.cpp:88
#4  QWaitCondition::wait (this=0x99cd788, mutex=0x99c8f70, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#5  0xb53fe1f3 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x99cd770, th=0x99a2ca0) at /usr/src/debug/kde-base/kdelibs-4.5.4/kdelibs-4.5.4/threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb54014ad in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x99c91f0, th=0x99a2ca0) at /usr/src/debug/kde-base/kdelibs-4.5.4/kdelibs-4.5.4/threadweaver/Weaver/WorkingHardState.cpp:80
#7  0xb53fd7e3 in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x99cd770, th=0x99a2ca0) at /usr/src/debug/kde-base/kdelibs-4.5.4/kdelibs-4.5.4/threadweaver/Weaver/WeaverImpl.cpp:356
#8  0xb5401594 in ThreadWeaver::WorkingHardState::applyForWork (this=0x99c91f0, th=0x99a2ca0) at /usr/src/debug/kde-base/kdelibs-4.5.4/kdelibs-4.5.4/threadweaver/Weaver/WorkingHardState.cpp:71
#9  0xb53fe657 in ThreadWeaver::WeaverImpl::applyForWork (this=0x99cd770, th=0x99a2ca0, previous=0x0) at /usr/src/debug/kde-base/kdelibs-4.5.4/kdelibs-4.5.4/threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb54015b3 in ThreadWeaver::WorkingHardState::applyForWork (this=0x99c91f0, th=0x99a2ca0) at /usr/src/debug/kde-base/kdelibs-4.5.4/kdelibs-4.5.4/threadweaver/Weaver/WorkingHardState.cpp:74
#11 0xb53fe657 in ThreadWeaver::WeaverImpl::applyForWork (this=0x99cd770, th=0x99a2ca0, previous=0x0) at /usr/src/debug/kde-base/kdelibs-4.5.4/kdelibs-4.5.4/threadweaver/Weaver/WeaverImpl.cpp:351
#12 0xb54015b3 in ThreadWeaver::WorkingHardState::applyForWork (this=0x99c91f0, th=0x99a2ca0) at /usr/src/debug/kde-base/kdelibs-4.5.4/kdelibs-4.5.4/threadweaver/Weaver/WorkingHardState.cpp:74
#13 0xb53fe657 in ThreadWeaver::WeaverImpl::applyForWork (this=0x99cd770, th=0x99a2ca0, previous=0x0) at /usr/src/debug/kde-base/kdelibs-4.5.4/kdelibs-4.5.4/threadweaver/Weaver/WeaverImpl.cpp:351
#14 0xb54015b3 in ThreadWeaver::WorkingHardState::applyForWork (this=0x99c91f0, th=0x99a2ca0) at /usr/src/debug/kde-base/kdelibs-4.5.4/kdelibs-4.5.4/threadweaver/Weaver/WorkingHardState.cpp:74
#15 0xb53fe657 in ThreadWeaver::WeaverImpl::applyForWork (this=0x99cd770, th=0x99a2ca0, previous=0x0) at /usr/src/debug/kde-base/kdelibs-4.5.4/kdelibs-4.5.4/threadweaver/Weaver/WeaverImpl.cpp:351
#16 0xb54015b3 in ThreadWeaver::WorkingHardState::applyForWork (this=0x99c91f0, th=0x99a2ca0) at /usr/src/debug/kde-base/kdelibs-4.5.4/kdelibs-4.5.4/threadweaver/Weaver/WorkingHardState.cpp:74
#17 0xb53fe657 in ThreadWeaver::WeaverImpl::applyForWork (this=0x99cd770, th=0x99a2ca0, previous=0x9cf3980) at /usr/src/debug/kde-base/kdelibs-4.5.4/kdelibs-4.5.4/threadweaver/Weaver/WeaverImpl.cpp:351
#18 0xb53ff9b7 in ThreadWeaver::ThreadRunHelper::run (this=0xa81f62e4, parent=0x99cd770, th=0x99a2ca0) at /usr/src/debug/kde-base/kdelibs-4.5.4/kdelibs-4.5.4/threadweaver/Weaver/Thread.cpp:87
#19 0xb53ffff0 in ThreadWeaver::Thread::run (this=0x99a2ca0) at /usr/src/debug/kde-base/kdelibs-4.5.4/kdelibs-4.5.4/threadweaver/Weaver/Thread.cpp:142
#20 0xb5c9004c in QThreadPrivate::start (arg=0x99a2ca0) at thread/qthread_unix.cpp:285
#21 0xb572bce3 in start_thread (arg=0xa81f6b70) at pthread_create.c:301
#22 0xb5aa153e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133

Thread 4 (Thread 0xa296eb70 (LWP 9650)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb573043c in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S:169
#2  0xb5aae5dd in __pthread_cond_wait (cond=0x99cd830, mutex=0x99cd818) at forward.c:139
#3  0xb5c90718 in wait (this=0x99cd788, mutex=0x99c8f70, time=4294967295) at thread/qwaitcondition_unix.cpp:88
#4  QWaitCondition::wait (this=0x99cd788, mutex=0x99c8f70, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#5  0xb53fe1f3 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x99cd770, th=0x9c409d0) at /usr/src/debug/kde-base/kdelibs-4.5.4/kdelibs-4.5.4/threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb54014ad in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x99c91f0, th=0x9c409d0) at /usr/src/debug/kde-base/kdelibs-4.5.4/kdelibs-4.5.4/threadweaver/Weaver/WorkingHardState.cpp:80
#7  0xb53fd7e3 in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x99cd770, th=0x9c409d0) at /usr/src/debug/kde-base/kdelibs-4.5.4/kdelibs-4.5.4/threadweaver/Weaver/WeaverImpl.cpp:356
#8  0xb5401594 in ThreadWeaver::WorkingHardState::applyForWork (this=0x99c91f0, th=0x9c409d0) at /usr/src/debug/kde-base/kdelibs-4.5.4/kdelibs-4.5.4/threadweaver/Weaver/WorkingHardState.cpp:71
#9  0xb53fe657 in ThreadWeaver::WeaverImpl::applyForWork (this=0x99cd770, th=0x9c409d0, previous=0xa7871a0) at /usr/src/debug/kde-base/kdelibs-4.5.4/kdelibs-4.5.4/threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb53ff9b7 in ThreadWeaver::ThreadRunHelper::run (this=0xa296e2e4, parent=0x99cd770, th=0x9c409d0) at /usr/src/debug/kde-base/kdelibs-4.5.4/kdelibs-4.5.4/threadweaver/Weaver/Thread.cpp:87
#11 0xb53ffff0 in ThreadWeaver::Thread::run (this=0x9c409d0) at /usr/src/debug/kde-base/kdelibs-4.5.4/kdelibs-4.5.4/threadweaver/Weaver/Thread.cpp:142
#12 0xb5c9004c in QThreadPrivate::start (arg=0x9c409d0) at thread/qthread_unix.cpp:285
#13 0xb572bce3 in start_thread (arg=0xa296eb70) at pthread_create.c:301
#14 0xb5aa153e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133

Thread 3 (Thread 0xa212cb70 (LWP 9653)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb573043c in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S:169
#2  0xb5aae5dd in __pthread_cond_wait (cond=0x99cd830, mutex=0x99cd818) at forward.c:139
#3  0xb5c90718 in wait (this=0x99cd788, mutex=0x99c8f70, time=4294967295) at thread/qwaitcondition_unix.cpp:88
#4  QWaitCondition::wait (this=0x99cd788, mutex=0x99c8f70, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#5  0xb53fe1f3 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x99cd770, th=0x9cead50) at /usr/src/debug/kde-base/kdelibs-4.5.4/kdelibs-4.5.4/threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb54014ad in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x99c91f0, th=0x9cead50) at /usr/src/debug/kde-base/kdelibs-4.5.4/kdelibs-4.5.4/threadweaver/Weaver/WorkingHardState.cpp:80
#7  0xb53fd7e3 in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x99cd770, th=0x9cead50) at /usr/src/debug/kde-base/kdelibs-4.5.4/kdelibs-4.5.4/threadweaver/Weaver/WeaverImpl.cpp:356
#8  0xb5401594 in ThreadWeaver::WorkingHardState::applyForWork (this=0x99c91f0, th=0x9cead50) at /usr/src/debug/kde-base/kdelibs-4.5.4/kdelibs-4.5.4/threadweaver/Weaver/WorkingHardState.cpp:71
#9  0xb53fe657 in ThreadWeaver::WeaverImpl::applyForWork (this=0x99cd770, th=0x9cead50, previous=0x0) at /usr/src/debug/kde-base/kdelibs-4.5.4/kdelibs-4.5.4/threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb54015b3 in ThreadWeaver::WorkingHardState::applyForWork (this=0x99c91f0, th=0x9cead50) at /usr/src/debug/kde-base/kdelibs-4.5.4/kdelibs-4.5.4/threadweaver/Weaver/WorkingHardState.cpp:74
#11 0xb53fe657 in ThreadWeaver::WeaverImpl::applyForWork (this=0x99cd770, th=0x9cead50, previous=0xabb50e8) at /usr/src/debug/kde-base/kdelibs-4.5.4/kdelibs-4.5.4/threadweaver/Weaver/WeaverImpl.cpp:351
#12 0xb53ff9b7 in ThreadWeaver::ThreadRunHelper::run (this=0xa212c2e4, parent=0x99cd770, th=0x9cead50) at /usr/src/debug/kde-base/kdelibs-4.5.4/kdelibs-4.5.4/threadweaver/Weaver/Thread.cpp:87
#13 0xb53ffff0 in ThreadWeaver::Thread::run (this=0x9cead50) at /usr/src/debug/kde-base/kdelibs-4.5.4/kdelibs-4.5.4/threadweaver/Weaver/Thread.cpp:142
#14 0xb5c9004c in QThreadPrivate::start (arg=0x9cead50) at thread/qthread_unix.cpp:285
#15 0xb572bce3 in start_thread (arg=0xa212cb70) at pthread_create.c:301
#16 0xb5aa153e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133

Thread 2 (Thread 0xa1118b70 (LWP 9656)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb573043c in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S:169
#2  0xb5aae5dd in __pthread_cond_wait (cond=0xb4edf290, mutex=0xb4edf278) at forward.c:139
#3  0xb4dcc7c0 in QTWTF::TCMalloc_PageHeap::scavengerThread (this=0xb4eda1a0) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2359
#4  0xb4dcc7fd in QTWTF::TCMalloc_PageHeap::runScavengerThread (context=0xb4eda1a0) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1464
#5  0xb572bce3 in start_thread (arg=0xa1118b70) at pthread_create.c:301
#6  0xb5aa153e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133

Thread 1 (Thread 0xb05bd720 (LWP 9619)):
[KCrash Handler]
#7  QPixmap::operator= (this=0x28, pixmap=...) at image/qpixmap.cpp:430
#8  0xb7051109 in CoverFoundItem::setBigPix (this=0x0, pixmap=...) at /root/additional/amarok/src/covermanager/CoverFoundDialog.h:174
#9  0xb704c9fb in CoverFoundDialog::handleFetchResult (this=0xa9aeed8, url=..., data=..., e=...) at /root/additional/amarok/src/covermanager/CoverFoundDialog.cpp:456
#10 0xb705091f in CoverFoundDialog::qt_metacall (this=0xa9aeed8, _c=QMetaObject::InvokeMetaMethod, _id=8, _a=0xbf9ed65c) at /root/additional/amarok/build/src/CoverFoundDialog.moc:125
#11 0xb5d7d6ea in QMetaObject::metacall (object=0xa9aeed8, cl=QMetaObject::InvokeMetaMethod, idx=81, argv=0xbf9ed65c) at kernel/qmetaobject.cpp:237
#12 0xb5d802c6 in QMetaMethod::invoke (this=0xbf9ed7f0, object=0xa9aeed8, connectionType=Qt::DirectConnection, returnValue=..., val0=..., val1=..., val2=..., val3=..., val4=..., val5=..., val6=..., val7=..., val8=..., val9=...) at kernel/qmetaobject.cpp:1578
#13 0xb6f10edd in QMetaMethod::invoke (this=0xbf9ed7f0, object=0xa9aeed8, connectionType=Qt::AutoConnection, val0=..., val1=..., val2=..., val3=..., val4=..., val5=..., val6=..., val7=..., val8=..., val9=...) at /usr/include/qt4/QtCore/qmetaobject.h:119
#14 0xb6f11477 in NetworkAccessManagerProxy::NetworkAccessManagerProxyPrivate::_replyFinished (this=0x99ddb08) at /root/additional/amarok/src/network/NetworkAccessManagerProxy.cpp:98
#15 0xb6f10cd0 in NetworkAccessManagerProxy::qt_metacall (this=0x99dd7f8, _c=QMetaObject::InvokeMetaMethod, _id=3, _a=0xbf9ed9ac) at /root/additional/amarok/build/src/NetworkAccessManagerProxy.moc:86
#16 0xb5d7d6ea in QMetaObject::metacall (object=0x99dd7f8, cl=QMetaObject::InvokeMetaMethod, idx=19, argv=0xbf9ed9ac) at kernel/qmetaobject.cpp:237
#17 0xb5d8b926 in QMetaObject::activate (sender=0xa6f8668, m=0xb3ec246c, local_signal_index=1, argv=0x0) at kernel/qobject.cpp:3272
#18 0xb3e7a2d6 in QNetworkReply::finished (this=0xa6f8668) at .moc/release-shared/moc_qnetworkreply.cpp:152
#19 0xb5514d78 in KDEPrivate::AccessManagerReply::jobDone (this=0xa6f8668, kJob=0xa3aed48) at /usr/src/debug/kde-base/kdelibs-4.5.4/kdelibs-4.5.4/kio/kio/accessmanagerreply_p.cpp:248
#20 0xb55155db in KDEPrivate::AccessManagerReply::qt_metacall (this=0xa6f8668, _c=QMetaObject::InvokeMetaMethod, _id=17, _a=0xbf9edc78) at /usr/src/debug/kde-base/kdelibs-4.5.4/kdelibs-4.5.4_build/kio/accessmanagerreply_p.moc:83
#21 0xb5d7d6ea in QMetaObject::metacall (object=0xa6f8668, cl=QMetaObject::InvokeMetaMethod, idx=17, argv=0xbf9edc78) at kernel/qmetaobject.cpp:237
#22 0xb5d8b926 in QMetaObject::activate (sender=0xa3aed48, m=0xb6126b48, local_signal_index=3, argv=0xbf9edc78) at kernel/qobject.cpp:3272
#23 0xb5fc0a90 in KJob::result (this=0xa3aed48, _t1=0xa3aed48) at /usr/src/debug/kde-base/kdelibs-4.5.4/kdelibs-4.5.4_build/kdecore/kjob.moc:194
#24 0xb5fc0d8d in KJob::emitResult (this=0xa3aed48) at /usr/src/debug/kde-base/kdelibs-4.5.4/kdelibs-4.5.4/kdecore/jobs/kjob.cpp:312
#25 0xb5553f88 in KIO::SimpleJob::slotFinished (this=0xa3aed48) at /usr/src/debug/kde-base/kdelibs-4.5.4/kdelibs-4.5.4/kio/kio/job.cpp:525
#26 0xb55548b1 in KIO::TransferJob::slotFinished (this=0xa3aed48) at /usr/src/debug/kde-base/kdelibs-4.5.4/kdelibs-4.5.4/kio/kio/job.cpp:1114
#27 0xb55522ef in KIO::TransferJob::qt_metacall (this=0xa3aed48, _c=QMetaObject::InvokeMetaMethod, _id=47, _a=0xbf9edf1c) at /usr/src/debug/kde-base/kdelibs-4.5.4/kdelibs-4.5.4_build/kio/jobclasses.moc:367
#28 0xb5d7d6ea in QMetaObject::metacall (object=0xa3aed48, cl=QMetaObject::InvokeMetaMethod, idx=47, argv=0xbf9edf1c) at kernel/qmetaobject.cpp:237
#29 0xb5d8b926 in QMetaObject::activate (sender=0xa8922a0, m=0xb56f7984, local_signal_index=4, argv=0x0) at kernel/qobject.cpp:3272
#30 0xb560627c in KIO::SlaveInterface::finished (this=0xa8922a0) at /usr/src/debug/kde-base/kdelibs-4.5.4/kdelibs-4.5.4_build/kio/slaveinterface.moc:171
#31 0xb56098d5 in KIO::SlaveInterface::dispatch (this=0xa8922a0, _cmd=104, rawdata=...) at /usr/src/debug/kde-base/kdelibs-4.5.4/kdelibs-4.5.4/kio/kio/slaveinterface.cpp:175
#32 0xb560671e in KIO::SlaveInterface::dispatch (this=0xa8922a0) at /usr/src/debug/kde-base/kdelibs-4.5.4/kdelibs-4.5.4/kio/kio/slaveinterface.cpp:91
#33 0xb55f98f0 in KIO::Slave::gotInput (this=0xa8922a0) at /usr/src/debug/kde-base/kdelibs-4.5.4/kdelibs-4.5.4/kio/kio/slave.cpp:347
#34 0xb55f9af6 in KIO::Slave::qt_metacall (this=0xa8922a0, _c=QMetaObject::InvokeMetaMethod, _id=30, _a=0xbf9ee23c) at /usr/src/debug/kde-base/kdelibs-4.5.4/kdelibs-4.5.4_build/kio/slave.moc:82
#35 0xb5d7d6ea in QMetaObject::metacall (object=0xa8922a0, cl=QMetaObject::InvokeMetaMethod, idx=30, argv=0xbf9ee23c) at kernel/qmetaobject.cpp:237
#36 0xb5d8b926 in QMetaObject::activate (sender=0xa923088, m=0xb56f4540, local_signal_index=0, argv=0x0) at kernel/qobject.cpp:3272
#37 0xb551c5a8 in KIO::Connection::readyRead (this=0xa923088) at /usr/src/debug/kde-base/kdelibs-4.5.4/kdelibs-4.5.4_build/kio/connection.moc:92
#38 0xb551e5df in KIO::ConnectionPrivate::dequeue (this=0xa62e870) at /usr/src/debug/kde-base/kdelibs-4.5.4/kdelibs-4.5.4/kio/kio/connection.cpp:82
#39 0xb551e6e1 in KIO::Connection::qt_metacall (this=0xa923088, _c=QMetaObject::InvokeMetaMethod, _id=5, _a=0xa3cf270) at /usr/src/debug/kde-base/kdelibs-4.5.4/kdelibs-4.5.4_build/kio/connection.moc:79
#40 0xb5d7d6ea in QMetaObject::metacall (object=0xa923088, cl=QMetaObject::InvokeMetaMethod, idx=5, argv=0xa3cf270) at kernel/qmetaobject.cpp:237
#41 0xb5d872c3 in QMetaCallEvent::placeMetaCall (this=0x9db0b08, object=0xa923088) at kernel/qobject.cpp:534
#42 0xb5d8b459 in QObject::event (this=0xa923088, e=0x9db0b08) at kernel/qobject.cpp:1211
#43 0xb626d7d1 in QApplicationPrivate::notify_helper (this=0x9135950, receiver=0xa923088, e=0x9db0b08) at kernel/qapplication.cpp:4445
#44 0xb6273db7 in QApplication::notify (this=0xbf9f0040, receiver=0xa923088, e=0x9db0b08) at kernel/qapplication.cpp:3845
#45 0xb7661d91 in KApplication::notify (this=0xbf9f0040, receiver=0xa923088, event=0x9db0b08) at /usr/src/debug/kde-base/kdelibs-4.5.4/kdelibs-4.5.4/kdeui/kernel/kapplication.cpp:310
#46 0xb5d777ef in QCoreApplication::notifyInternal (this=0xbf9f0040, receiver=0xa923088, event=0x9db0b08) at kernel/qcoreapplication.cpp:732
#47 0xb5d7a850 in sendEvent (receiver=0x0, event_type=0, data=0x9049ee0) at kernel/qcoreapplication.h:215
#48 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x9049ee0) at kernel/qcoreapplication.cpp:1373
#49 0xb5d7aa16 in QCoreApplication::sendPostedEvents (receiver=0x0, event_type=0) at kernel/qcoreapplication.cpp:1266
#50 0xb5da1c04 in sendPostedEvents (s=0x9137a00) at kernel/qcoreapplication.h:220
#51 postEventSourceDispatch (s=0x9137a00) at kernel/qeventdispatcher_glib.cpp:277
#52 0xb3d02096 in g_main_dispatch (context=0x91382d0) at gmain.c:2149
#53 g_main_context_dispatch (context=0x91382d0) at gmain.c:2702
#54 0xb3d02808 in g_main_context_iterate (context=0x91382d0, block=1, dispatch=1, self=<value optimized out>) at gmain.c:2780
#55 0xb3d02a90 in g_main_context_iteration (context=0x91382d0, may_block=1) at gmain.c:2843
#56 0xb5da1d55 in QEventDispatcherGlib::processEvents (this=0x9049ba0, flags=...) at kernel/qeventdispatcher_glib.cpp:415
#57 0xb632324c in QGuiEventDispatcherGlib::processEvents (this=0x9049ba0, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#58 0xb5d76b1b in QEventLoop::processEvents (this=0xbf9eeab0, flags=...) at kernel/qeventloop.cpp:149
#59 0xb5d76d92 in QEventLoop::exec (this=0xbf9eeab0, flags=...) at kernel/qeventloop.cpp:201
#60 0xb6770e94 in QDialog::exec (this=0xa5c0d88) at dialogs/qdialog.cpp:552
#61 0xb704cebd in CoverFoundDialog::fetchBigPix (this=0xa9aeed8) at /root/additional/amarok/src/covermanager/CoverFoundDialog.cpp:495
#62 0xb704c8d8 in CoverFoundDialog::slotButtonClicked (this=0xa9aeed8, button=4) at /root/additional/amarok/src/covermanager/CoverFoundDialog.cpp:435
#63 0xb704bb76 in CoverFoundDialog::itemDoubleClicked (this=0xa9aeed8, item=0xa903518) at /root/additional/amarok/src/covermanager/CoverFoundDialog.cpp:340
#64 0xb705099b in CoverFoundDialog::qt_metacall (this=0xa9aeed8, _c=QMetaObject::InvokeMetaMethod, _id=11, _a=0xbf9eed08) at /root/additional/amarok/build/src/CoverFoundDialog.moc:128
#65 0xb5d7d6ea in QMetaObject::metacall (object=0xa9aeed8, cl=QMetaObject::InvokeMetaMethod, idx=84, argv=0xbf9eed08) at kernel/qmetaobject.cpp:237
#66 0xb5d8b926 in QMetaObject::activate (sender=0xa376548, m=0xb6b57284, local_signal_index=2, argv=0xbf9eed08) at kernel/qobject.cpp:3272
#67 0xb683b542 in QListWidget::itemDoubleClicked (this=0xa376548, _t1=0xa903518) at .moc/release-shared/moc_qlistwidget.cpp:205
#68 0xb683cba3 in QListWidgetPrivate::_q_emitItemDoubleClicked (this=0xac34978, index=...) at itemviews/qlistwidget.cpp:1085
#69 0xb683faf2 in QListWidget::qt_metacall (this=0xa376548, _c=QMetaObject::InvokeMetaMethod, _id=15, _a=0xbf9eee88) at .moc/release-shared/moc_qlistwidget.cpp:143
#70 0xb7626d79 in KListWidget::qt_metacall (this=0xa376548, _c=QMetaObject::InvokeMetaMethod, _id=85, _a=0xbf9eee88) at /usr/src/debug/kde-base/kdelibs-4.5.4/kdelibs-4.5.4_build/kdeui/klistwidget.moc:80
#71 0xb5d7d6ea in QMetaObject::metacall (object=0xa376548, cl=QMetaObject::InvokeMetaMethod, idx=85, argv=0xbf9eee88) at kernel/qmetaobject.cpp:237
#72 0xb5d8b926 in QMetaObject::activate (sender=0xa376548, m=0xb6b56424, local_signal_index=2, argv=0xbf9eee88) at kernel/qobject.cpp:3272
#73 0xb67c9abc in QAbstractItemView::doubleClicked (this=0xa376548, _t1=...) at .moc/release-shared/moc_qabstractitemview.cpp:338
#74 0xb67cc9cf in QAbstractItemView::mouseDoubleClickEvent (this=0xa376548, event=0xbf9ef8b4) at itemviews/qabstractitemview.cpp:1821
#75 0xb7626601 in KListWidget::mouseDoubleClickEvent (this=0xa376548, e=0xbf9ef8b4) at /usr/src/debug/kde-base/kdelibs-4.5.4/kdelibs-4.5.4/kdeui/itemviews/klistwidget.cpp:259
#76 0xb62c54e0 in QWidget::event (this=0xa376548, event=0xbf9ef8b4) at kernel/qwidget.cpp:8204
#77 0xb669571e in QFrame::event (this=0xa376548, e=0xbf9ef8b4) at widgets/qframe.cpp:557
#78 0xb6728c6f in QAbstractScrollArea::viewportEvent (this=0xb5b2a3a0, e=0x28) at widgets/qabstractscrollarea.cpp:1043
#79 0xb67da07d in QAbstractItemView::viewportEvent (this=0xa376548, event=0xbf9ef8b4) at itemviews/qabstractitemview.cpp:1619
#80 0xb672b43e in viewportEvent (this=0xab5d038, o=0xa4ab3b8, e=0xbf9ef8b4) at widgets/qabstractscrollarea_p.h:100
#81 QAbstractScrollAreaFilter::eventFilter (this=0xab5d038, o=0xa4ab3b8, e=0xbf9ef8b4) at widgets/qabstractscrollarea_p.h:116
#82 0xb5d77955 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=0x9135950, receiver=0xa4ab3b8, event=0xbf9ef8b4) at kernel/qcoreapplication.cpp:847
#83 0xb626d7b4 in QApplicationPrivate::notify_helper (this=0x9135950, receiver=0xa4ab3b8, e=0xbf9ef8b4) at kernel/qapplication.cpp:4441
#84 0xb627496c in QApplication::notify (this=0xbf9f0040, receiver=0xa4ab3b8, e=0xbf9ef8b4) at kernel/qapplication.cpp:4006
#85 0xb7661d91 in KApplication::notify (this=0xbf9f0040, receiver=0xa4ab3b8, event=0xbf9ef8b4) at /usr/src/debug/kde-base/kdelibs-4.5.4/kdelibs-4.5.4/kdeui/kernel/kapplication.cpp:310
#86 0xb5d777ef in QCoreApplication::notifyInternal (this=0xbf9f0040, receiver=0xa4ab3b8, event=0xbf9ef8b4) at kernel/qcoreapplication.cpp:732
#87 0xb62717e0 in sendEvent (receiver=0xa4ab3b8, event=0xbf9ef8b4, alienWidget=0xa4ab3b8, nativeWidget=0xab31218, buttonDown=0xb6b65ba0, lastMouseReceiver=..., spontaneous=true) at ../../src/corelib/kernel/qcoreapplication.h:215
#88 QApplicationPrivate::sendMouseEvent (receiver=0xa4ab3b8, event=0xbf9ef8b4, alienWidget=0xa4ab3b8, nativeWidget=0xab31218, buttonDown=0xb6b65ba0, lastMouseReceiver=..., spontaneous=true) at kernel/qapplication.cpp:3105
#89 0xb62f98c9 in QETWidget::translateMouseEvent (this=0xab31218, event=0xbf9efd00) at kernel/qapplication_x11.cpp:4438
#90 0xb62f8902 in QApplication::x11ProcessEvent (this=0xbf9f0040, event=0xbf9efd00) at kernel/qapplication_x11.cpp:3442
#91 0xb6323902 in x11EventSourceDispatch (s=0x9141d00, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#92 0xb3d02096 in g_main_dispatch (context=0x91382d0) at gmain.c:2149
#93 g_main_context_dispatch (context=0x91382d0) at gmain.c:2702
#94 0xb3d02808 in g_main_context_iterate (context=0x91382d0, block=1, dispatch=1, self=<value optimized out>) at gmain.c:2780
#95 0xb3d02a90 in g_main_context_iteration (context=0x91382d0, may_block=1) at gmain.c:2843
#96 0xb5da1d55 in QEventDispatcherGlib::processEvents (this=0x9049ba0, flags=...) at kernel/qeventdispatcher_glib.cpp:415
#97 0xb632324c in QGuiEventDispatcherGlib::processEvents (this=0x9049ba0, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#98 0xb5d76b1b in QEventLoop::processEvents (this=0xbf9effd4, flags=...) at kernel/qeventloop.cpp:149
#99 0xb5d76d92 in QEventLoop::exec (this=0xbf9effd4, flags=...) at kernel/qeventloop.cpp:201
#100 0xb5d7aabe in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1009
#101 0xb626c616 in QApplication::exec () at kernel/qapplication.cpp:3719
#102 0x08050674 in main (argc=1, argv=0xbf9f0a14) at /root/additional/amarok/src/main.cpp:268

Reported using DrKonqi
Comment 1 Marcin Gryszkalis 2011-01-12 04:51:48 UTC
Note: crash is reproducible using one specific image (not all images), in this case it's image found via google 
http://israbox.com/uploads/posts/2007-10/1193483354_1.jpg
Comment 2 Daniel Faust 2011-01-12 17:00:06 UTC
I just committed a patch that fixes a crash when trying to download a full size cover and the server redirects the request.
Looks very much like your problem.
Only the 'The crash can be reproduced every time.' is a little bit weird - so please reopen if now instead of crashing you get 'unknown error' messages.
Comment 3 Marcin Gryszkalis 2011-01-13 03:44:33 UTC
thanks Daniel, confirmed, works now

amarok:   BEGIN: void ScannerJob::getScannerOutput() 
amarok:     BEGIN: bool CoverFoundDialog::fetchBigPix() 
amarok:       [NetworkAccessManagerProxy] the server is redirecting the request to:  KUrl("http://www.israbox.com/uploads/posts/2007-10/1193483354_1.jpg") 
amarok:     END__: bool CoverFoundDialog::fetchBigPix() [Took: 0.4s] 
amarok:     [CoverFetcher] Finished successfully for album "Allevi Live (disc 1)"
Comment 4 Myriam Schweingruber 2011-01-20 00:24:26 UTC
*** Bug 263547 has been marked as a duplicate of this bug. ***
Comment 5 Malar Kannan 2011-02-24 05:51:59 UTC
Created attachment 57489 [details]
New crash information added by DrKonqi

amarok (2.4.0) on KDE Platform 4.5.5 (KDE 4.5.5) using Qt 4.7.1

- What I was doing when the application crashed:
1)Opened Cover Manager.
2)Selected an album with empty cover.
3)Right Clicked it to Fetch Album Cover.
4)Selected a cover art and click ok when it crashed(IMHO the image URL threw 404).

-- Backtrace (Reduced):
#6  QPixmap::operator= (this=0x50, pixmap=...) at image/qpixmap.cpp:430
#7  0x0000003900dfd32d in setBigPix (this=0x342d1a0, url=<value optimized out>, data=..., e=...) at /usr/src/debug/amarok-2.4.0/src/covermanager/CoverFoundDialog.h:174
#8  CoverFoundDialog::handleFetchResult (this=0x342d1a0, url=<value optimized out>, data=..., e=...) at /usr/src/debug/amarok-2.4.0/src/covermanager/CoverFoundDialog.cpp:456
#9  0x0000003900e01d85 in CoverFoundDialog::qt_metacall (this=0x342d1a0, _c=<value optimized out>, _id=8, _a=0x7fff1e771210) at /usr/src/debug/amarok-2.4.0/x86_64-redhat-linux-gnu/src/CoverFoundDialog.moc:125
#10 0x0000003f7f5643af in QMetaMethod::invoke (this=0x7fff1e771570, object=0x342d1a0, connectionType=Qt::DirectConnection, returnValue=..., val0=..., val1=..., val2=..., val3=..., val4=..., val5=..., val6=..., val7=..., val8=..., val9=...) at kernel/qmetaobject.cpp:1578
Comment 6 J├╝rgen Grove 2011-03-17 09:47:20 UTC
Created attachment 58116 [details]
New crash information added by DrKonqi

amarok (2.4.0) on KDE Platform 4.6.00 (4.6.0) "release 6" using Qt 4.7.1

- What I was doing when the application crashed:Ibegann a manual Download from an "Albumcover"

-- Backtrace (Reduced):
#7  QPixmap::operator= (this=0x28, pixmap=...) at image/qpixmap.cpp:430
#8  0xb70a9a52 in setBigPix (this=0xa0f3158, url=..., data=..., e=...) at /usr/src/debug/amarok-2.4.0/src/covermanager/CoverFoundDialog.h:174
#9  CoverFoundDialog::handleFetchResult (this=0xa0f3158, url=..., data=..., e=...) at /usr/src/debug/amarok-2.4.0/src/covermanager/CoverFoundDialog.cpp:456
#10 0xb70aed66 in CoverFoundDialog::qt_metacall (this=0xa0f3158, _c=QMetaObject::InvokeMetaMethod, _id=8, _a=0xbfb96dfc) at /usr/src/debug/amarok-2.4.0/build/src/CoverFoundDialog.moc:125
[...]
#12 0xb653b1e9 in QMetaMethod::invoke (this=0xbfb96f58, object=0xa0f3158, connectionType=Qt::DirectConnection, returnValue=..., val0=..., val1=..., val2=..., val3=..., val4=..., val5=..., val6=..., val7=..., val8=..., val9=...) at kernel/qmetaobject.cpp:1578
Comment 7 Myriam Schweingruber 2011-03-22 22:37:55 UTC
*** Bug 269157 has been marked as a duplicate of this bug. ***
Comment 8 Myriam Schweingruber 2011-03-24 12:35:57 UTC
*** Bug 269272 has been marked as a duplicate of this bug. ***
Comment 9 Myriam Schweingruber 2011-05-21 22:04:41 UTC
*** Bug 273726 has been marked as a duplicate of this bug. ***